//***************************************************************
//------------<02.Dec.2010 by Peter Reiser>----------------------
//***************************************************************

#ifndef _TRF796xBOOSTERPACK_H_
#define _TRF796xBOOSTERPACK_H_

//================================================================

#include <msp430.h>                     // processor specific header
#include "types.h"

//===============================================================

//=====MCU constants=============================================

// EN pin on the TRF796x
// P1.0 is switched in output direction
#define ENABLE_SET          P1DIR |= BIT0
#define TRF_ENABLE          P1OUT |= BIT0
#define TRF_DISABLE         P1OUT &= ~BIT0

//---- PIN operations -------------------------------------------

// IRQ on P2.0
// rising edge interrupt
#define IRQ_PIN             BIT1
#define IRQ_PIN_SET         P2DIR &= ~IRQ_PIN
#define IRQ_PORT            P2IN
#define IRQ_ON              P2IE |= IRQ_PIN
#define IRQ_OFF             P2IE &= ~IRQ_PIN
#define IRQ_EDGE_SET        P2IES &= ~IRQ_PIN
#define IRQ_CLR             P2IFG = 0x00
#define IRQ_REQ_REG         P2IFG

#define	ENABLE_DEBUG_PIN_1	P4DIR |= BIT0
#define	SET_DEBUG_PIN_1		P4OUT |= BIT0
#define	CLEAR_DEBUG_PIN_1	P4OUT &= ~BIT0
#define	ENABLE_DEBUG_PIN_2	P1DIR |= BIT4
#define	SET_DEBUG_PIN_2		P1OUT |= BIT4
#define	CLEAR_DEBUG_PIN_2	P1OUT &= ~BIT4

// Hard code to only SPI mode
#define SPIMODE             1

//-----Counter-timer constants-----------------------------------
#define COUNT_VALUE         TACCR0                    //counter register
#define START_COUNTER       TACTL |=  MC1             //start counter in up mode
#define STOP_COUNTER        TACTL &= ~(MC0 + MC1)     //stops the counter

//---------------------------------------------------------------
// Set timer capture register value based on clock source
// ACLK = VLO = 12kHz
#define COUNT_1ms           12
#define COUNT_60ms          723

//---------------------------------------------------------------

// 8MHz clock
#define DELAY_1ms           6780

//===============================================================

#endif
